Subject: Re: Trouble with 2.6.16 on ppc8xx ?

From: Marcelo Tosatti <[email-masked]>
Date: Mon, 17 Apr 2006 16:52:01 -0500

Hi David,

On Fri, Apr 14, 2006 at 10:50:56AM +0200, David Jander wrote:
> 
> Hi all,
> 
> I just cg-update'd to the HEAD of the denx 2.6.x kernel tree (2.6.16 as 
> released).

Is it a vanilla 2.6.16?

> Our board-support stuff was succesfully moved along from 2.6.14 (when 
> everything but the SCC3 and SCC4 uarts worked just fine).
> I compiled a kernel without any special drivers, just console on ttyCPM0, but 
> after "Uncompressing Kernel Image ... OK" there is no more output and no 
> further activity on ethernet (it should boot from nfs-root) or any other 
> device.
> 
> After "cg-seek DENX-v2.6.15; make clean uImage", it works again (everything 
> seems fine, system boots).
> 
> Our board is based on a MPC852T and until now we used "MPC86X" as the 
> BOARD_CHIP_NAME and it worked just fine with 2.6.14 and 2.6.15, but not with 
> 2.6.16 as described above.
> 
> When doing "cg-diff" and carfully examining it's output, I can only see our 
> board-support stuff (not very much, not very special) and some custom drivers 
> that are disabled anyway.
> 
> Any clue about where to start looking?
> 
> I didn't find any suspicious changes in arch/ppc/mm, arch/ppc/syslib and 
> arch/ppc/kernel. Neither in drivers/serial/cpm_uart.
> 
> Which change from 2.6.15 to 2.6.16 could have broken 8xx support for us?
> 
> Is there perhaps a known issue with 2.6.16 and ppc8xx I am unaware of?

2.6.16 working fine over here... What's your .config?

[root@CAS root]# cat /proc/cpuinfo 
processor       : 0
cpu             : 8xx
clock           : 48MHz
bus clock       : 48MHz
revision        : 0.0 (pvr 0050 0000)
bogomips        : 47.71
[root@CAS root]# uname -a
Linux CAS 2.6.16 #1 Thu Apr 13 11:08:03 PDT 2006 ppc unknown